dpkg-checkbuilddeps(1)

NAMN
dpkg-checkbuilddeps - kontrollera byggberoenden och -konflikter

SYNOPS
dpkg-checkbuilddeps [flagga...] [control-fil]

BESKRIVNING
Detta program kontrollerar installerade paket på systemet mot byggberoenden och -konflikter som listas i filen control. Om de inte uppfylls, visas de och programmet avslutas med en felstatus som inte är noll.

Som standard läses debian/control, men ett alternativt styrfilnamn kan anges på kommandoraden.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen (sedan dpkg 1.14.0). Förvald plats är /var/lib/dpkg.

-A  Ignorera Build-Depends-Arch- och Build-Conflicts-Arch-rader (sedan dpkg 1.16.4). Använd när endast arkitekturoberoende paket ska byggas, eller kombinera med -B när endast ett källkodspaket ska byggas.

-B  Ignorera Build-Depends-Indep- och Build-Conflicts-Indep-rader. Använd om inga arkitekturoberoende paket ska byggas, eller kombinera med -A när endast ett källkodspaket ska byggas.

-I  Ignorera inbyggda byggberoenden och -konflikter (sedan dpkg 1.18.2). Detta är implicita byggberoenden som vanligtvis krävs på en specifik distribution, paketuppsättningen som kallas Build-Essential (”Bygg-Nödvändiga”).

-d byggberoendesträng
-c byggkonfliktsträng
    Använd de angivna byggberoendena/-konflikterna istället för de som står i filen debian/control (sedan dpkg 1.14.17).

-a ark
    Kontrollera byggberoenden/-konflikter med antagandet att paketet som beskrivs i styrfilen ska byggas för den givna värdarkitekturen istället för det aktuella systemets arkitektur (sedan dpkg 1.16.2).

-P profil[,...]
    Kontrollera byggberoenden/-konflikter med antagandet att paketet som beskrivs i styrfilen ska byggas för den givna byggprofilen(-erna) (sedan dpkg 1.17.2). Argumentet är en kommaavdelad lista med profilnamn.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DEB_BUILD_PROFILES
    Om satt, används som aktiv(a) byggprofil(er) för paketet som byggs. Det är en blankstegsavdelad lista med profilnamn. Överstyrs av flaggan -P.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.